# Refunds

Zuora allows you to issue and track refunds on payments. Similar to external payments, users can enter external refunds to track refunds that have been performed outside of Zuora Payments (for example, by issuing a check). 
In addition, you can make electronic refunds using our supported payment gateways, which will automatically refund money to the customer.

 - [GET /v1/refunds](https://developer.zuora.com/v1-api-reference/api/refunds/get_refunds.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/refunds/{refundKey}](https://developer.zuora.com/v1-api-reference/api/refunds/put_updaterefund.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [DELETE /v1/refunds/{refundKey}](https://developer.zuora.com/v1-api-reference/api/refunds/delete_refund.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [GET /v1/refunds/{refundKey}](https://developer.zuora.com/v1-api-reference/api/refunds/get_refund.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/refunds/{refundKey}/cancel](https://developer.zuora.com/v1-api-reference/api/refunds/put_cancelrefund.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [GET /v1/refunds/{refundKey}/parts](https://developer.zuora.com/v1-api-reference/api/refunds/get_refundparts.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [GET /v1/refunds/{refundKey}/parts/{refundpartid}](https://developer.zuora.com/v1-api-reference/api/refunds/get_refundpart.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [GET /v1/refunds/{refundKey}/parts/{refundpartid}/item-parts](https://developer.zuora.com/v1-api-reference/api/refunds/get_refunditemparts.md): **Note:** This operation is only available if you have the [Invoice Item Settlement](https://docs.zuora.com?resourceId=billing-invoice-item-settlement) feature enabled. Invoice Item Settlement must be
 - [GET /v1/refunds/{refundKey}/parts/{refundpartid}/item-parts/{itempartid}](https://developer.zuora.com/v1-api-reference/api/refunds/get_refunditempart.md): **Note:** This operation is only available if you have the [Invoice Item Settlement](https://docs.zuora.com?resourceId=billing-invoice-item-settlement) feature enabled. Invoice Item Settlement must be
